Holger's Java API

## com.antelmann.math
Enum Weight.Type

    java.lang.Object
      java.lang.Enum<Weight.Type>
          com.antelmann.math.Weight.Type

All Implemented Interfaces:
  Serializable, Comparable<Weight.Type>

Enclosing class:
  Weight

    public static enum Weight.Type

extends Enum<Weight.Type>

Enum Constant Summary
`GROSS`
`NET`
`TARE`

Method Summary
`static Weight.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Weight.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NET

    public static final Weight.Type NET

### GROSS

    public static final Weight.Type GROSS

### TARE

    public static final Weight.Type TARE

Method Detail

### values

    public static Weight.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Weight.Type c : Weight.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Weight.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads